Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceService

@MTOM(enabled=true, threshold=1024) public interface VoiceService
Веб-сервис для работы с модулем Voice.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Result<VoiceAuthError>`
  `authErrorDateList(Date timeFrom, Date timeTo, Set<Integer> deviceIds, Set<Integer> contractIds, Set<Integer> serviceIds, String contract, String login, Page page)`
  `String`
  `authErrorLog(int deviceId, Date errorTime, int logCoordinateRecordId)`
  `void`
  `calculate(Date dateFrom, Date dateTo, Set<Integer> contractIds, long groupMask, String email, String comment)`
  `void`
  `deleteAllGeographicCode(int operatorId)`
  Удаление всех географических кодов из БД.
  `int`
  `deleteGeographicCode(List<Integer> codes)`
  Удаление геокода (-ов) из БД.
  `String`
  `getGeographicCodeTree(int operatorId)`
  Получение дерева географических кодов оператора.
  `String`
  `importGeographicCode(int operatorId, boolean addNew, boolean updateExist, String importContent)`
  Импортирование списка географических кодов в БД.
  `void`
  `setBalance(Date month, String email, Set<Integer> contractIds)`
  `int`
  `updateGeographicCode(VoiceGeographicCode code)`
  Добавление нового/обновление существующего географического кода с одновременным обновлением истории геокода.
  `void`
  `voiceAddProcessLogs(Integer deviceId, List<Date> days)`
  `void`
  `voiceAddRadiusProcessLogs(Integer deviceId, List<Date> days)`
  `String`
  `voiceConnectionLog(int deviceId, long sessionId, Date connectionStartTime, boolean finshed)`
  `void`
  `voiceDeleteProcessLogs(Integer deviceId, List<Date> days)`
  `int`
  `voiceDestinationDelete(List<Integer> idSet)`
  Удаление направления (-ий) по коду.
  `VoiceDestination`
  `voiceDestinationGet(int id)`
  Получение одного конкретного направления по его коду.
  `SearchResult<VoiceDestination>`
  `voiceDestinationList(int operator, String title, Page page)`
  Получение списка направлений с сортировкой по имени.
  `void`
  `voiceDestinationReplace(int sourceDestinationId, int targetDestinationId)`
  Замена одного направления другим в привязке географических кодов
  `List<IdTitle>`
  `voiceDestinationTitles(List<Integer> destIds)`
  `int`
  `voiceDestinationUpdate(VoiceDestination destination)`
  Добавление нового (изменение существующего) направления.
  `Result<VoiceError>`
  `voiceErrorList(VoiceErrorFilter filter, Page page)`
  `List<VoiceGeographicCode>`
  `voiceGeographicCodeByDestinationId(int destinationId)`
  `List<IdTitle>`
  `voiceGeographicCodeTitles(int operatorId)`
  `void`
  `voiceGeographicRangeDelete(List<Integer> ids)`
  `VoiceGeographicRange`
  `voiceGeographicRangeGet(int id)`
  `String`
  `voiceGeographicRangeImport(int operatorId, String importData, boolean addDestination)`
  `String`
  `voiceGeographicRangeList(int operatorId)`
  `List<VoiceGeographicRange>`
  `voiceGeographicRanges(List<Integer> rangeIds)`
  `List<VoiceGeographicRange>`
  `voiceGeographicRangeSearch(int operatorId, String txt)`
  `int`
  `voiceGeographicRangeUpdate(VoiceGeographicRange range)`
  `Result<?>`
  `voiceLogExist(Integer deviceId, Date month)`
  `List<VoiceProcessLog>`
  `voiceLogLoaded(Integer deviceId, Date month)`
  `List<DataProcessRecord>`
  `voiceLogLoading(Integer deviceId, Date month)`
  `void`
  `voiceOptionDelete(int id)`
  `VoiceOption`
  `voiceOptionGet(int id)`
  `List<VoiceOption>`
  `voiceOptionList()`
  `int`
  `voiceOptionUpdate(VoiceOption b)`
  `Result<?>`
  `voiceRadiusLogExist(Integer deviceId, Date month)`

- ## Method Details

  - ### voiceDestinationList

    SearchResult<VoiceDestination> voiceDestinationList(int operator, String title, Page page) throws ru.bitel.bgbilling.common.BGException
    Получение списка направлений с сортировкой по имени.
    Parameters:
      `operator` - код оператора
      `title` - название направления или его часть
      `page` - информация о странице
      `destinations` - список направлений, сериализованных в виде json
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceDestinationTitles

    List<IdTitle> voiceDestinationTitles(List<Integer> destIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceDestinationGet

    VoiceDestination voiceDestinationGet(int id) throws ru.bitel.bgbilling.common.BGException
    Получение одного конкретного направления по его коду.
    Parameters:
      `id` - код направления.
    Returns:
      направление.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceDestinationUpdate

    int voiceDestinationUpdate(VoiceDestination destination) throws ru.bitel.bgbilling.common.BGException
    Добавление нового (изменение существующего) направления. Решение о добавлении или изменении существующего принимается исходя из условия id > 0.
    Parameters:
      `destination` - направление
    Returns:
      код вставленной (обновленной) записи.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceDestinationDelete

    int voiceDestinationDelete(List<Integer> idSet) throws ru.bitel.bgbilling.common.BGException
    Удаление направления (-ий) по коду.
    Parameters:
      `idSet` - список кодов направлений, подлежащих удалению.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceDestinationReplace

    void voiceDestinationReplace(int sourceDestinationId, int targetDestinationId) throws ru.bitel.bgbilling.common.BGException
    Замена одного направления другим в привязке географических кодов
    Parameters:
      `sourceDestinationId` -
      `targetDestinationId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getGeographicCodeTree

    String getGeographicCodeTree(int operatorId) throws ru.bitel.bgbilling.common.BGException
    Получение дерева географических кодов оператора.
    Parameters:
      `date` - дата, на которую необходимо получить дерево
      `codes` - список кодов в виде дерева, сериализованное в виде json
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicCodeTitles

    List<IdTitle> voiceGeographicCodeTitles(int operatorId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateGeographicCode

    int updateGeographicCode(VoiceGeographicCode code) throws ru.bitel.bgbilling.common.BGException
    Добавление нового/обновление существующего географического кода с одновременным обновлением истории геокода.
    Parameters:
      `code` - экземпляр географического кода.
    Returns:
      код вставленной/обновленой записи.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteGeographicCode

    int deleteGeographicCode(List<Integer> codes) throws ru.bitel.bgbilling.common.BGException
    Удаление геокода (-ов) из БД.
    Parameters:
      `codeId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### importGeographicCode

    String importGeographicCode(int operatorId, boolean addNew, boolean updateExist, String importContent) throws ru.bitel.bgbilling.common.BGException
    Импортирование списка географических кодов в БД.
    Parameters:
      `addNew` - флаг, добавлять ли новые геокоды при отсутствии
      `updateExist` - флаг, обновлять ли существующие
      `importContent` - импортируемое содержимое в виде списка строк, каждая из которых разделена на поля
      `period` - период, который выставится у всех геокодов. По умолчанию, если не задано, то с текущего момента и до бесконечности.
    Returns:
      строка, содержащая список строк, которые не были обработаны по тем или иным причинам. Эта строка отобразится в клиенте
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteAllGeographicCode

    void deleteAllGeographicCode(int operatorId) throws ru.bitel.bgbilling.common.BGException
    Удаление всех географических кодов из БД.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicCodeByDestinationId

    List<VoiceGeographicCode> voiceGeographicCodeByDestinationId(int destinationId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### calculate

    void calculate(Date dateFrom, Date dateTo, Set<Integer> contractIds, long groupMask, String email, String comment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setBalance

    void setBalance(Date month, String email, Set<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicRangeList

    String voiceGeographicRangeList(int operatorId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicRangeGet

    VoiceGeographicRange voiceGeographicRangeGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicRangeUpdate

    int voiceGeographicRangeUpdate(VoiceGeographicRange range) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicRangeDelete

    void voiceGeographicRangeDelete(List<Integer> ids) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicRangeImport

    String voiceGeographicRangeImport(int operatorId, String importData, boolean addDestination) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicRangeSearch

    List<VoiceGeographicRange> voiceGeographicRangeSearch(int operatorId, String txt) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceGeographicRanges

    List<VoiceGeographicRange> voiceGeographicRanges(List<Integer> rangeIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceConnectionLog

    String voiceConnectionLog(int deviceId, long sessionId, Date connectionStartTime, boolean finshed) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### authErrorLog

    String authErrorLog(int deviceId, Date errorTime, int logCoordinateRecordId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOptionGet

    VoiceOption voiceOptionGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOptionList

    List<VoiceOption> voiceOptionList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOptionUpdate

    int voiceOptionUpdate(VoiceOption b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOptionDelete

    void voiceOptionDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### authErrorDateList

    Result<VoiceAuthError> authErrorDateList(Date timeFrom, Date timeTo, Set<Integer> deviceIds, Set<Integer> contractIds, Set<Integer> serviceIds, String contract, String login, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceErrorList

    Result<VoiceError> voiceErrorList(VoiceErrorFilter filter, Page page) throws Exception
    Throws:
      `Exception`

  - ### voiceLogExist

    Result<?> voiceLogExist(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceRadiusLogExist

    Result<?> voiceRadiusLogExist(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceLogLoading

    List<DataProcessRecord> voiceLogLoading(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceLogLoaded

    List<VoiceProcessLog> voiceLogLoaded(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAddProcessLogs

    void voiceAddProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAddRadiusProcessLogs

    void voiceAddRadiusProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceDeleteProcessLogs

    void voiceDeleteProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`